python-ironicclient (5.5.0-3) unstable; urgency=medium

  * Add upstream patch to replace appdirs dependency with platformdirs
    (Closes: #1067995).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 10:02:02 +0200

python-ironicclient (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:19:17 +0200

python-ironicclient (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:31:36 +0100

python-ironicclient (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:54:10 +0200

python-ironicclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:07:05 +0200

python-ironicclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:23:27 +0200

python-ironicclient (5.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046841).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:51:02 +0200

python-ironicclient (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:11:19 +0200

python-ironicclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:05:13 +0100

python-ironicclient (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:16:03 +0200

python-ironicclient (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:14:31 +0200

python-ironicclient (4.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:45:57 +0100

python-ironicclient (4.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:40:29 +0100

python-ironicclient (4.8.1-1) unstable; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Jan 2022 14:18:48 +0100

python-ironicclient (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:34:53 +0200

python-ironicclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 12:26:14 +0200

python-ironicclient (4.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:03:53 +0200

python-ironicclient (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 12:49:56 +0100

python-ironicclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Breaks:+Replaces: python-ironicclient in advance of Bullseye
    release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:35:47 +0100

python-ironicclient (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed min version of dogpile.cache.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:52:25 +0200

python-ironicclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 13:28:04 +0200

python-ironicclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:29:01 +0200

python-ironicclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:08:16 +0200

python-ironicclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 23:35:18 +0200

python-ironicclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:23:56 +0200

python-ironicclient (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-prettytable as (build-)depends.
  * Do not package tools/ironic.bash_completion as it's gone upstream. Has it
    moved somewhere else?

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:39:37 +0200

python-ironicclient (2.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:13:37 +0200

python-ironicclient (2.7.0-2) experimental; urgency=medium

  * Fixed minimum build-depends version for python3-cliff.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 12:14:13 +0200

python-ironicclient (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 08:33:05 +0100

python-ironicclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:39:13 +0200

python-ironicclient (2.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 to build the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 09:08:52 +0200

python-ironicclient (2.2.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:05:42 +0100

python-ironicclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:52:13 +0000

python-ironicclient (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 09:19:24 +0000

python-ironicclient (1.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:38:55 +0000

python-ironicclient (1.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 21:30:03 +0200

python-ironicclient (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:29:56 +0000

python-ironicclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:17:49 +0100

python-ironicclient (1.1.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Corey Bryant ]
  * d/control: Update uploaders.
  * d/control: Drop python-doc8 as it's not needed for package builds.

  [ Thomas Goirand ]
  * Do not test with Py3, as it goes in an infinite loop in Trusty.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:42:40 +0000

python-ironicclient (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Also testing for Python 3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 05:19:51 +0000

python-ironicclient (0.8.1-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:34:01 +0000

python-ironicclient (0.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:58:44 +0000

python-ironicclient (0.8.1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Not running unit tests with Python 3.4: it stays stuck then eventually
    dies in my Jenkins.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 16:50:45 -0400

python-ironicclient (0.8.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Added a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 15:39:05 +0000

python-ironicclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed installation folder for the bash completion script.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 13:46:24 +0000

python-ironicclient (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2015 10:02:42 +0100

python-ironicclient (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2015 10:09:42 +0100

python-ironicclient (0.3.3-1) experimental; urgency=medium

  * New upstream release.
  * Now packaging docs and bash completion script.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Feb 2015 11:56:52 +0100

python-ironicclient (0.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 00:06:26 +0800

python-ironicclient (0.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2014 22:57:18 +0800

python-ironicclient (0.1.4-2) unstable; urgency=medium

  * Fixed VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Jun 2014 00:39:11 +0800

python-ironicclient (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Now implicitely build-depends on python-setuptools to easy things in
    Ubuntu (Closes: #750052).
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Jun 2014 21:04:20 +0800

python-ironicclient (0.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:28:32 +0000

python-ironicclient (0.1.2-3) experimental; urgency=medium

  * Added missing build-depends: subunit.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 17:03:25 +0000

python-ironicclient (0.1.2-2) experimental; urgency=low

  * Better unit test output.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 23:57:48 +0800

python-ironicclient (0.1.2-1) experimental; urgency=low

  * Initial release (Closes: #731681).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Nov 2012 17:15:12 +0000
